{% extends 'base.html.twig' %}

{% block title %}Demo index{% endblock %}

{% block body %}
    <h1>Demo index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Created_at</th>
                <th>Score</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for demo in demos %}
            <tr>
                <td>{{ demo.id }}</td>
                <td>{{ demo.name }}</td>
                <td>{{ demo.createdAt ? demo.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ demo.score }}</td>
                <td>
                    <a href="{{ path('demo_show', {'id': demo.id}) }}">show</a>
                    <a href="{{ path('demo_edit', {'id': demo.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('demo_new') }}">Create new</a>
{% endblock %}
